﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Wielkanoc
{
    public class IkonaWZasobniku
    {
        private NotifyIcon notifyIcon;
        private System.Windows.Window okno; //WPF
        
        public IkonaWZasobniku(System.Windows.Window okno)
        {
            string nazwaIkony = "wielkanoc.ico";
            string nazwaAplikacji = Application.ProductName;
            System.Windows.Resources.StreamResourceInfo sri = System.Windows.Application.GetResourceStream(new Uri(@"/" + nazwaAplikacji + ";component/" + nazwaIkony, UriKind.RelativeOrAbsolute));
            Icon ikona = new Icon(sri.Stream);

            notifyIcon = new NotifyIcon();
            notifyIcon.Icon = ikona;
            notifyIcon.Text = "Wielkanoc 2019";
            notifyIcon.Visible = true;
        }
    }
}
